/*
 * This file is generated by jOOQ.
 */
package de.ship.clip.db.enums;


import de.ship.clip.db.Config;

import org.jooq.Catalog;
import org.jooq.EnumType;
import org.jooq.Schema;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public enum EnumLocale implements EnumType {

    de_("de"),

    en("en"),

    it("it"),

    pl("pl"),

    pt("pt"),

    es("es"),

    ro("ro");

    private final String literal;

    private EnumLocale(String literal) {
        this.literal = literal;
    }

    @Override
    public Catalog getCatalog() {
        return getSchema().getCatalog();
    }

    @Override
    public Schema getSchema() {
        return Config.CONFIG;
    }

    @Override
    public String getName() {
        return "enum_locale";
    }

    @Override
    public String getLiteral() {
        return literal;
    }

    /**
     * Lookup a value of this EnumType by its literal
     */
    public static EnumLocale lookupLiteral(String literal) {
        return EnumType.lookupLiteral(EnumLocale.class, literal);
    }
}
